Package org.jboss.modules.ref

# Enum Reference.Type

java.lang.Object
java.lang.Enum<Reference.Type>
org.jboss.modules.ref.Reference.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<Reference.Type>`, `java.lang.constant.Constable`

Enclosing interface:
  `Reference<T,A>`

public static enum Reference.Type extends Enum<Reference.Type>
A reference type.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NULL`
A `null` reference.
`PHANTOM`
A phantom reference.
`SOFT`
A soft reference.
`STRONG`
A strong reference.
`WEAK`
A weak reference.

## Method Summary

Modifier and Type
Method
Description
`static Reference.Type`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Reference.Type[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STRONG

public static final Reference.Type STRONG
A strong reference.

### WEAK

public static final Reference.Type WEAK
A weak reference.

### PHANTOM

public static final Reference.Type PHANTOM
A phantom reference.

### SOFT

public static final Reference.Type SOFT
A soft reference.

### NULL

public static final Reference.Type NULL
A `null` reference.

## Method Details

### values

public static Reference.Type[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Reference.Type valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null